package com.jwipc.contract.logic;


import cn.hutool.core.lang.Pair;
import com.jwipc.contract.dto.ContractReturnOrderSaveDTO;
import com.jwipc.contract.dto.ContractReturnOrdersLookupDTO;
import com.jwipc.contract.model.query.ContractReturnOrderQuery;
import com.jwipc.page.PageView;

import java.util.Set;

public interface ContractReturnOrdersLogic {

    ContractReturnOrdersLookupDTO getReturnOrderById(Long id);

    Pair<String, Set<String>> saveOrUpdate(ContractReturnOrderSaveDTO saveDTO);

    PageView getContractReturnOrderList(ContractReturnOrderQuery query);

    void update(ContractReturnOrderSaveDTO dto);
    void confirmretuenOrder(Long id);

    void retuenOrderRemove(Long id);
}
